<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ColorBackground">

    <uk.co.androidalliance.edgeeffectoverride.ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fillViewport="true"
        app:edgeeffect_color="@color/primary">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <com.ibs.roann.view.ToyosuRecycledImageView
                android:id="@+id/login_img_logo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:layout_gravity="center_horizontal"
                android:src="@drawable/logo_welcome" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="@dimen/common_big_spacing">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.ibs.roann.view.ToyosuTextView
                        android:id="@+id/login_tv_email_title"
                        style="@style/CommonSmallGreyText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/customer_lb_email" />

                    <com.ibs.roann.view.ToyosuTextView
                        android:id="@+id/login_tv_email_error"
                        style="@style/CommonSmallRedText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/customer_lb_email_required"
                        android:visibility="gone" />
                </RelativeLayout>

                <com.ibs.roann.view.ToyosuEditText
                    android:id="@+id/login_ed_email"
                    style="@style/CommonBlackEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_spacing"
                    android:imeOptions="actionNext"
                    android:inputType="textEmailAddress">

                    <requestFocus />
                </com.ibs.roann.view.ToyosuEditText>


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_big_spacing">

                    <com.ibs.roann.view.ToyosuTextView
                        android:id="@+id/login_tv_password_title"
                        style="@style/CommonSmallGreyText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/customer_lb_password" />

                    <com.ibs.roann.view.ToyosuTextView
                        android:id="@+id/login_tv_password_error"
                        style="@style/CommonSmallRedText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/customer_register_pw_required"
                        android:visibility="gone" />
                </RelativeLayout>

                <com.ibs.roann.view.ToyosuEditText
                    android:id="@+id/login_ed_password"
                    style="@style/CommonBlackEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_spacing"
                    android:imeOptions="actionNext"
                    android:inputType="textPassword" />

                <RelativeLayout
                    android:id="@+id/login_rl_submit"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_big_spacing">

                    <ImageView
                        android:id="@+id/login_img_submit"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_alignBottom="@+id/login_rp_submit"
                        android:layout_alignTop="@+id/login_rp_submit"
                        android:background="@null"
                        android:src="@drawable/common_button_bg" />

                    <com.balysv.materialripple.MaterialRippleLayout
                        android:id="@+id/login_rp_submit"
                        style="@style/WhiteRippleEffect"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <com.ibs.roann.view.ToyosuTextView
                            android:id="@+id/login_tv_submit"
                            style="@style/CommonWhiteText"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:padding="@dimen/common_spacing"
                            android:text="@string/customer_lb_login"
                            android:textStyle="bold" />

                    </com.balysv.materialripple.MaterialRippleLayout>
                </RelativeLayout>

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/login_tv_forgot_password"
                    style="@style/CommonBlackText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_big_spacing"
                    android:gravity="center_horizontal"
                    android:text="@string/customer_hint_login_forgot_pw" />

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/login_tv_signup"
                    style="@style/CommonBlackText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_big_spacing"
                    android:gravity="center_horizontal"
                    android:text="@string/customer_hint_login_sign_up" />
            </LinearLayout>


        </LinearLayout>
    </uk.co.androidalliance.edgeeffectoverride.ScrollView>
</LinearLayout>

